@ECHO OFF

SET SCRIPT_DIR=%~dp0

if "x%JAVA_HOME%" == "x" (
    set RUN_JAVA=java
) else (
    set "RUN_JAVA=%JAVA_HOME%\bin\java"
)

SET USER_LIB=%SCRIPT_DIR%user-lib

IF "%MC_CLASSPATH%" NEQ "" (
    SET MC_CLASSPATH=%MC_CLASSPATH:;=,%,%USER_LIB%
) ELSE (
    SET MC_CLASSPATH=%USER_LIB%
)

"%RUN_JAVA%" -Dloader.path=%MC_CLASSPATH% %JAVA_OPTS% -Dloader.main=com.hazelcast.webmonitor.cli.MCConfCommandLine -cp %SCRIPT_DIR%\..\hazelcast-management-center-5.8.0.jar org.springframework.boot.loader.launch.PropertiesLauncher %*
